Bug 1388291 - [abrt] vino: vino-server killed by SIGSEGV
Summary: [abrt] vino: vino-server killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vino
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ad4d71184c8542657a94b121ba9...
: 1506833 1517467 1575968 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-25 03:21 UTC by Anass Ahmed
Modified: 2018-06-01 12:19 UTC (History)
21 users (show)

Fixed In Version: vino-3.22.0-8.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-01 12:19:27 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.04 KB, text/plain)
2016-10-25 03:21 UTC, Anass Ahmed
no flags Details
File: cgroup (266 bytes, text/plain)
2016-10-25 03:21 UTC, Anass Ahmed
no flags Details
File: core_backtrace (8.58 KB, text/plain)
2016-10-25 03:21 UTC, Anass Ahmed
no flags Details
File: dso_list (9.45 KB, text/plain)
2016-10-25 03:21 UTC, Anass Ahmed
no flags Details
File: environ (1.08 KB, text/plain)
2016-10-25 03:21 UTC, Anass Ahmed
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-25 03:21 UTC, Anass Ahmed
no flags Details
File: maps (44.51 KB, text/plain)
2016-10-25 03:21 UTC, Anass Ahmed
no flags Details
File: mountinfo (3.71 KB, text/plain)
2016-10-25 03:21 UTC, Anass Ahmed
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-25 03:21 UTC, Anass Ahmed
no flags Details
File: open_fds (882 bytes, text/plain)
2016-10-25 03:21 UTC, Anass Ahmed
no flags Details
File: proc_pid_status (1.14 KB, text/plain)
2016-10-25 03:21 UTC, Anass Ahmed
no flags Details
File: var_log_messages (1.14 KB, text/plain)
2016-10-25 03:21 UTC, Anass Ahmed
no flags Details
File: backtrace (26.18 KB, text/plain)
2018-03-31 21:09 UTC, f4ucorsair82
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 761120 None None None 2018-02-20 12:11:56 UTC

Description Anass Ahmed 2016-10-25 03:21:25 UTC
Version-Release number of selected component:
vino-3.22.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        /usr/libexec/vino-server
executable:     /usr/libexec/vino-server
global_pid:     29159
kernel:         4.8.3-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 XQueryExtension at QuExt.c:43
 #2 get_xinput_base at XTest.c:79
 #3 find_display at XTest.c:83
 #4 XTestQueryExtension at XTest.c:101
 #5 vino_input_init at server/vino-input.c:761
 #6 name_acquired at server/vino-main.c:152
 #7 do_call at gdbusnameowning.c:215
 #8 request_name_cb at gdbusnameowning.c:327
 #9 g_task_return_now at gtask.c:1121

Potential duplicate: bug 1234602

Comment 1 Anass Ahmed 2016-10-25 03:21:31 UTC
Created attachment 1213665 [details]
File: backtrace

Comment 2 Anass Ahmed 2016-10-25 03:21:32 UTC
Created attachment 1213666 [details]
File: cgroup

Comment 3 Anass Ahmed 2016-10-25 03:21:34 UTC
Created attachment 1213667 [details]
File: core_backtrace

Comment 4 Anass Ahmed 2016-10-25 03:21:36 UTC
Created attachment 1213668 [details]
File: dso_list

Comment 5 Anass Ahmed 2016-10-25 03:21:37 UTC
Created attachment 1213669 [details]
File: environ

Comment 6 Anass Ahmed 2016-10-25 03:21:39 UTC
Created attachment 1213670 [details]
File: limits

Comment 7 Anass Ahmed 2016-10-25 03:21:42 UTC
Created attachment 1213671 [details]
File: maps

Comment 8 Anass Ahmed 2016-10-25 03:21:43 UTC
Created attachment 1213672 [details]
File: mountinfo

Comment 9 Anass Ahmed 2016-10-25 03:21:45 UTC
Created attachment 1213673 [details]
File: namespaces

Comment 10 Anass Ahmed 2016-10-25 03:21:46 UTC
Created attachment 1213674 [details]
File: open_fds

Comment 11 Anass Ahmed 2016-10-25 03:21:48 UTC
Created attachment 1213675 [details]
File: proc_pid_status

Comment 12 Anass Ahmed 2016-10-25 03:21:49 UTC
Created attachment 1213676 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 15:31:38 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Ondrej Holy 2018-02-20 12:01:16 UTC
*** Bug 1506833 has been marked as a duplicate of this bug. ***

Comment 15 Ondrej Holy 2018-02-20 12:01:18 UTC
*** Bug 1517467 has been marked as a duplicate of this bug. ***

Comment 16 f4ucorsair82 2018-03-31 21:09:45 UTC
Similar problem has been detected:

Just booted up.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: _XSend
executable:     /usr/libexec/vino-server
journald_cursor: s=90b291d54a874be0b0c7838cd8eb736b;i=9d21ba;b=588a1991d90f4653bd9bf3bba4e53238;m=5d37b47;t=568bba81e7288;x=39cd110deedb3781
kernel:         4.15.12-301.fc27.x86_64
package:        vino-3.22.0-4.fc27
reason:         vino-server killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 f4ucorsair82 2018-03-31 21:09:51 UTC
Created attachment 1415637 [details]
File: backtrace

Comment 18 Ondrej Holy 2018-05-18 12:33:51 UTC
*** Bug 1575968 has been marked as a duplicate of this bug. ***

Comment 19 Fedora Update System 2018-05-21 16:01:28 UTC
vino-3.22.0-8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9081df8e37

Comment 20 Fedora Update System 2018-05-22 15:03:09 UTC
vino-3.22.0-8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9081df8e37

Comment 21 Jasper O'neal Hartline 2018-06-01 09:51:55 UTC
Similar problem has been detected:

I just tried to start desktop sharing

reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        /usr/libexec/vino-server
crash_function: XQueryExtension
executable:     /usr/libexec/vino-server
journald_cursor: s=df6081c373f44fbca2903b15d47dd876;i=3ae89;b=a312d6d638274b25a25ffc8b06dbf89b;m=2a7f2ee24;t=56ce5710eaa23;x=e1c34918e780ae28
kernel:         4.16.9-200.fc27.x86_64
package:        vino-3.22.0-4.fc27
reason:         vino-server killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Fedora Update System 2018-06-01 12:19:27 UTC
vino-3.22.0-8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.